<?php
/**
 * Block Patterns
 *
 * @package pixel_watch_center
 * @since 1.0
 */

function pixel_watch_center_register_block_patterns() {
	$pixel_watch_center_block_pattern_categories = array(
		'pixel-watch-center' => array( 'label' => esc_html__( 'Pixel Watch Center', 'pixel-watch-center' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'pixel-watch-center' ) ),
	);

	$pixel_watch_center_block_pattern_categories = apply_filters( 'pixel_watch_center_pixel_watch_center_block_pattern_categories', $pixel_watch_center_block_pattern_categories );

	foreach ( $pixel_watch_center_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'pixel_watch_center_register_block_patterns', 9 );